# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libncurses-devel
# END SourceDeps(oneline)
Name:           ht
Version:        2.0.18
Release:        alt1_4
Summary:        File editor/viewer/analyzer for executables

Group:          Editors
License:        GPLv2
URL:            http://hte.sourceforge.net/
Source0:        http://downloads.sourceforge.net/hte/ht-%{version}.tar.bz2

BuildRequires:  libX11-devel ncurses-devel liblzo2-devel
BuildRequires:  recode
Source44: import.info

%description
HT is a file editor/viewer/analyzer for executables. The goal is to combine
the low-level functionality of a debugger and the usability of IDEs. We plan
to implement all (hex-)editing features and support of the most important
file formats.

%prep
%setup -q
recode latin1..utf8 TODO
find . -name \*.cc -o -name \*.h | xargs chmod 0644

%build
%configure --enable-maintainermode
CXXFLAGS="%{optflags}" make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc ChangeLog COPYING AUTHORS NEWS README TODO KNOWNBUGS
%{_bindir}/ht

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.18-alt1_4
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.18-alt1_3
- initial fc import

